﻿@using CocktailMagician.Services.Providers
@model PageTransferInfo<BarViewModel>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1 align="center">Bars</h1>
<hr style="background-image:linear-gradient(40deg, #FFC107, aquamarine, #FFC107)" />

@using (Html.BeginForm())
{
    <p align="center">
        Find bar: @Html.TextBox("FilterOption")
        <input type="hidden" name="page" value="1" />
        <input type="submit" value="Search" role="button" class="btn btn-outline-warning" />
    </p>
}

<div align="center">
    <a href='@Url.ActionLink("Index", "Bars", new { sortOption = ViewBag.SortByName })' class="btn btn-outline-warning">Sort by name</a>
    <a href='@Url.ActionLink("Index", "Bars", new { sortOption = ViewBag.SortByRating })' class="btn btn-outline-warning">Sort by rating</a>
    <a href='@Url.ActionLink("Index", "Bars", new { sortOption = ViewBag.SortByAddress })' class="btn btn-outline-warning">Sort by address</a>
</div>

<hr style="background-image:linear-gradient(40deg, #FFC107, aquamarine, #FFC107)" />

<div align="center">
    @if (User.IsInRole("Admin"))
    {
        <a asp-action="Create" role="button" class="btn btn-outline-warning">Create New Bar</a>
    }
</div>

<div class="row" style="align-content:center">
    @foreach (var item in Model.Collection)
    {
        <div class="col-sm-6 col-md-6">
            <div class="thumbnail" style="margin: 10px 0px;">
                <a asp-action="Details" asp-route-id="@item.Id">
                    <img src="@Url.Content(item.ImgPath)" style="height:260px; width: 450px;" />
                </a>
                <div>
                    <span style="background-color:burlywood; opacity:0.85; position:absolute; bottom:10px;
							padding:10px 5px; width:450px; text-align:center; line-height:1.4em">
                        @Html.DisplayFor(modelItem => item.Name)<br />
                        <i>Rating:</i> @Html.DisplayFor(modelItem => item.AverageRating)<br />
                        <i>Address:</i> @Html.DisplayFor(modelItem => item.Address)
                    </span>
                </div>
            </div>
        </div>
    }
</div>

<div class="row">
    @if (Model.TotalPages > 1)
    {
        <ul class="pagination">
            @for (var page = 1; page <= Model.TotalPages; page++)
            {
                <li class="page-item @(page == Model.PageIndex ? "active" : "")">
                    @if (ViewBag.CurrentFilter != null)
                    {
                        <a href="~/Bars?filterOption=@ViewBag.CurrentFilter&page=@(page)" class="page-link">@(page)</a>
                    }
                    else if (ViewBag.CurrentSort != null)
                    {
                        <a href="~/Bars?sortOption=@ViewBag.CurrentSort&page=@(page)" class="page-link">@(page)</a>
                    }
                    else
                    { <a href="~/Bars?page=@(page)" class="page-link">@(page)</a>}
                </li>
            }
        </ul>
    }
</div>